import { WebGLVertexArrayObject, WebGLQuery } from '../../WebGL2';
export declare class EXT_blend_minmax {
    private nativeInstance;
    get MAX_EXT(): number;
    get MIN_EXT(): number;
    constructor(nativeInstance: any);
}
export declare class ANGLE_instanced_arrays {
    get VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE(): number;
    private nativeInstance;
    constructor(nativeInstance: any);
    drawArraysInstancedANGLE(mode: number, first: number, count: number, primcount: number): void;
    drawElementsInstancedANGLE(mode: number, count: number, type: number, offset: number, primcount: number): void;
    vertexAttribDivisorANGLE(index: number, divisor: number): void;
}
export declare class EXT_color_buffer_float {
    R11F_G11F_B10F: number;
    R16F: number;
    R32F: number;
    RG16F: number;
    RG32F: number;
    RGB16F: number;
    RGBA32F: number;
    constructor(nativeInstance: any);
}
export declare class EXT_color_buffer_half_float {
    FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT: number;
    RGB16F_EXT: number;
    RGBA16F_EXT: number;
    UNSIGNED_NORMALIZED_EXT: number;
    constructor(nativeInstance: any);
}
export declare class EXT_sRGB {
    FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING_EXT: number;
    SRGB8_ALPHA8_EXT: number;
    SRGB_ALPHA_EXT: number;
    SRGB_EXT: number;
    constructor(nativeInstance: any);
}
export declare class EXT_shader_texture_lod {
    constructor(nativeInstance: any);
}
export declare class EXT_texture_filter_anisotropic {
    MAX_TEXTURE_MAX_ANISOTROPY_EXT: number;
    TEXTURE_MAX_ANISOTROPY_EXT: number;
    constructor(nativeInstance: any);
}
export declare class OES_element_index_uint {
    UNSIGNED_INT: number;
    constructor(nativeInstance: any);
}
export declare class OES_fbo_render_mipmap {
    constructor(nativeInstance: any);
}
export declare class OES_standard_derivatives {
    constructor(nativeInstance: any);
}
export declare class OES_texture_float {
    constructor(nativeInstance: any);
}
export declare class OES_texture_float_linear {
    constructor(nativeInstance: any);
}
export declare class OES_texture_half_float {
    HALF_FLOAT_OES: number;
    constructor(nativeInstance: any);
}
export declare class OES_texture_half_float_linear {
    constructor(nativeInstance: any);
}
export declare class OES_vertex_array_object {
    VERTEX_ARRAY_BINDING_OES: any;
    private nativeInstance;
    constructor(nativeInstance: any);
    createVertexArrayOES(): WebGLVertexArrayObject;
    deleteVertexArrayOES(arrayObject: WebGLVertexArrayObject): void;
    isVertexArrayOES(arrayObject: WebGLVertexArrayObject): any;
    bindVertexArrayOES(arrayObject: WebGLVertexArrayObject): void;
}
export declare class WEBGL_color_buffer_float {
    FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT: number;
    RGB32F_EXT: number;
    RGBA32F_EXT: number;
    UNSIGNED_NORMALIZED_EXT: number;
    constructor(nativeInstance: any);
}
export declare class WEBGL_compressed_texture_etc {
    COMPRESSED_R11_EAC: number;
    COMPRESSED_RG11_EAC: number;
    COMPRESSED_RGB8_ETC2: number;
    COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2: number;
    COMPRESSED_RGBA8_ETC2_EAC: number;
    COMPRESSED_SIGNED_R11_EAC: number;
    COMPRESSED_SIGNED_RG11_EAC: number;
    COMPRESSED_SRGB8_ALPHA8_ETC2_EAC: number;
    COMPRESSED_SRGB8_ETC2: number;
    COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2: number;
    constructor(nativeInstance: any);
}
export declare class WEBGL_compressed_texture_etc1 {
    COMPRESSED_RGB_ETC1_WEBGL: number;
    constructor(nativeInstance: any);
}
export declare class WEBGL_compressed_texture_pvrtc {
    COMPRESSED_RGBA_PVRTC_2BPPV1_IMG: number;
    COMPRESSED_RGBA_PVRTC_4BPPV1_IMG: number;
    COMPRESSED_RGB_PVRTC_2BPPV1_IMG: number;
    COMPRESSED_RGB_PVRTC_4BPPV1_IMG: number;
    constructor(nativeInstance: any);
}
export declare class WEBGL_depth_texture {
    UNSIGNED_INT_24_8_WEBGL: number;
    constructor(nativeInstance: any);
}
export declare class WEBGL_lose_context {
    private nativeInstance;
    constructor(nativeInstance: any);
    loseContext(): void;
    restoreContext(): void;
}
export declare class EXT_disjoint_timer_query {
    QUERY_COUNTER_BITS_EXT: any;
    CURRENT_QUERY_EXT: any;
    QUERY_RESULT_EXT: any;
    QUERY_RESULT_AVAILABLE_EXT: any;
    TIME_ELAPSED_EXT: any;
    TIMESTAMP_EXT: any;
    GPU_DISJOINT_EXT: any;
    private nativeInstance;
    constructor(nativeInstance: any);
    createQueryEXT(): WebGLQuery;
    deleteQueryEXT(query: WebGLQuery): void;
    isQueryEXT(query: WebGLQuery): boolean;
    beginQueryEXT(target: number, query: WebGLQuery): void;
    endQueryEXT(target: number): void;
    queryCounterEXT(query: WebGLQuery, target: number): void;
    getQueryEXT(target: number, pname: number): any;
    getQueryObjectEXT(query: WebGLQuery, pname: number): any;
}
export declare class WEBGL_compressed_texture_atc {
    COMPRESSED_RGB_ATC_WEBGL: any;
    COMPRESSED_RGBA_ATC_EXPLICIT_ALPHA_WEBGL: any;
    COMPRESSED_RGBA_ATC_INTERPOLATED_ALPHA_WEBGL: any;
    private nativeInstance;
    constructor(nativeInstance: any);
}
export declare class WEBGL_compressed_texture_s3tc {
    COMPRESSED_RGB_S3TC_DXT1_EXT: any;
    COMPRESSED_RGBA_S3TC_DXT1_EXT: any;
    COMPRESSED_RGBA_S3TC_DXT3_EXT: any;
    COMPRESSED_RGBA_S3TC_DXT5_EXT: any;
    private nativeInstance;
    constructor(nativeInstance: any);
}
export declare class WEBGL_compressed_texture_s3tc_srgb {
    COMPRESSED_SRGB_S3TC_DXT1_EXT: any;
    COMPRESSED_SRGB_ALPHA_S3TC_DXT1_EXT: any;
    COMPRESSED_SRGB_ALPHA_S3TC_DXT3_EXT: any;
    COMPRESSED_SRGB_ALPHA_S3TC_DXT5_EXT: any;
    private nativeInstance;
    constructor(nativeInstance: any);
}
export declare class WEBGL_draw_buffers {
    COLOR_ATTACHMENT0_WEBGL: any;
    COLOR_ATTACHMENT1_WEBGL: any;
    COLOR_ATTACHMENT2_WEBGL: any;
    COLOR_ATTACHMENT3_WEBGL: any;
    COLOR_ATTACHMENT4_WEBGL: any;
    COLOR_ATTACHMENT5_WEBGL: any;
    COLOR_ATTACHMENT6_WEBGL: any;
    COLOR_ATTACHMENT7_WEBGL: any;
    COLOR_ATTACHMENT8_WEBGL: any;
    COLOR_ATTACHMENT9_WEBGL: any;
    COLOR_ATTACHMENT10_WEBGL: any;
    COLOR_ATTACHMENT11_WEBGL: any;
    COLOR_ATTACHMENT12_WEBGL: any;
    COLOR_ATTACHMENT13_WEBGL: any;
    COLOR_ATTACHMENT14_WEBGL: any;
    COLOR_ATTACHMENT15_WEBGL: any;
    DRAW_BUFFER0_WEBGL: any;
    DRAW_BUFFER1_WEBGL: any;
    DRAW_BUFFER2_WEBGL: any;
    DRAW_BUFFER3_WEBGL: any;
    DRAW_BUFFER4_WEBGL: any;
    DRAW_BUFFER5_WEBGL: any;
    DRAW_BUFFER6_WEBGL: any;
    DRAW_BUFFER7_WEBGL: any;
    DRAW_BUFFER8_WEBGL: any;
    DRAW_BUFFER9_WEBGL: any;
    DRAW_BUFFER10_WEBGL: any;
    DRAW_BUFFER11_WEBGL: any;
    DRAW_BUFFER12_WEBGL: any;
    DRAW_BUFFER13_WEBGL: any;
    DRAW_BUFFER14_WEBGL: any;
    DRAW_BUFFER15_WEBGL: any;
    MAX_COLOR_ATTACHMENTS_WEBGL: any;
    MAX_DRAW_BUFFERS_WEBGL: any;
    private nativeInstance;
    constructor(nativeInstance: any);
    drawBuffersWEBGL(buffers: number[]): void;
}
